/*
 * Copyright 2017 Baidu, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package com.baidubce.services.vcr.model;

import com.baidubce.model.AbstractBceResponse;

import java.util.List;

/**
 * Media speech result.
 */
public class GetMediaSpeechResponse extends AbstractBceResponse {
    private String mediaId;
    private String source;
    // speech is a list of channels.
    private List<SpeechChannel> speech;

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public List<SpeechChannel> getSpeech() {
        return speech;
    }

    public void setSpeech(List<SpeechChannel> speech) {
        this.speech = speech;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("GetMediaSpeechResponse{");
        sb.append("mediaId='").append(mediaId).append('\'');
        sb.append(", source='").append(source).append('\'');
        sb.append(", speech=").append(speech);
        sb.append('}');
        return sb.toString();
    }
}
